<!--
* $Id: build.xml.in,v 1.2 2005-12-11 16:12:06 tobibobi Exp $
* $Log: build.xml.in,v $
* Revision 1.2  2005-12-11 16:12:06  tobibobi
* *** empty log message ***
*
*
-->

<project name="JAVA protocol viewer" default="compile" basedir="@top_srcdir@/java">

<!-- Global properties for this script -->
<property name="src" location="@srcdir@/src"/>
<property name="classes" location="@srcdir@/classes"/>
<property name="archive" location="@srcdir@/archive"/>

<target name="init">
 <tstamp/>
<!-- Create the classes directory structure -->
<mkdir dir="${classes}"/>
</target>

<target name="compile" depends="init" description="compiles all source files" >
<!-- Compile the java code from ${src} into ${build} -->
<javac srcdir="${src}" destdir="${classes}"/>
</target>

<target name="clean" description="deletes classes and archive directories" >
<!-- Delete the ${build} and ${dist} directory trees -->
<delete dir="${classes}"/>
<delete dir="${archive}"/>
</target>

</project>